Github messages for voidlinux
 help / color / Atom feed
* [ISSUE] python3-pipenv showing compile errors on update
@ 2020-05-31 23:54 rjpower4
  2020-06-01 20:26 ` Chocimier
  0 siblings, 1 reply; 2+ messages in thread
From: rjpower4 @ 2020-05-31 23:54 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 2108 bytes --]

New issue by rjpower4 on void-packages repository

https://github.com/void-linux/void-packages/issues/22483

Description:
<!-- Don't request update of package. We have a script for that. https://alpha.de.repo.voidlinux.org/void-updates/void-updates.txt . However, a quality pull request may help. -->
### System

* xuname:  
 ``Void 5.4.43_1 x86_64 AuthenticAMD uptodate FFF``
* package:  ``python3-pipenv 2020.5.28_1``

### Expected behavior
On update expecting standard successful update

### Actual behavior
Recieving compilation error on configuration:

```
Byte-compiling python3.8 code for module pipenv...
*** Error compiling 'usr/lib/python3.8/site-packages/pipenv/patched/yaml2/constructor.py'...
  File "usr/lib/python3.8/site-packages/pipenv/patched/yaml2/constructor.py", line 167
    except TypeError, exc:
                    ^
SyntaxError: invalid syntax

*** Error compiling 'usr/lib/python3.8/site-packages/pipenv/patched/yaml2/reader.py'...
  File "usr/lib/python3.8/site-packages/pipenv/patched/yaml2/reader.py", line 163
    except UnicodeDecodeError, exc:
                             ^
SyntaxError: invalid syntax

*** Error compiling 'usr/lib/python3.8/site-packages/pipenv/patched/yaml2/resolver.py'...
  File "usr/lib/python3.8/site-packages/pipenv/patched/yaml2/resolver.py", line 174
    re.compile(ur'''^(?:yes|Yes|YES|no|No|NO
                    |true|True|TRUE|false|False|FALSE
                    |on|On|ON|off|Off|OFF)$''', re.X),
                 ^
SyntaxError: invalid syntax

*** Error compiling 'usr/lib/python3.8/site-packages/pipenv/patched/yaml2/scanner.py'...
  File "usr/lib/python3.8/site-packages/pipenv/patched/yaml2/scanner.py", line 1421
    except UnicodeDecodeError, exc:
                             ^
SyntaxError: invalid syntax

Updating ldconfig(8) cache...
python3-pipenv-2020.5.28_1: updated successfully.
```

### Steps to reproduce the behavior
Update ``python3-pipenv`` to version ``2020.5.28_1``
**or**
If ``python3-pipenv`` is not installed, simply install with ``xbps-install -S python3-pipenv``


^ permalink raw reply	[flat|nested] 2+ messages in thread

* Re: python3-pipenv showing compile errors on update
  2020-05-31 23:54 [ISSUE] python3-pipenv showing compile errors on update rjpower4
@ 2020-06-01 20:26 ` Chocimier
  0 siblings, 0 replies; 2+ messages in thread
From: Chocimier @ 2020-06-01 20:26 UTC (permalink / raw)
  To: ml


[-- Attachment #1: Type: text/plain, Size: 373 bytes --]

New comment by Chocimier on void-packages repository

https://github.com/void-linux/void-packages/issues/22483#issuecomment-637084093

Comment:
That's fine.

Pipenv provides separate py2 and py3-compatible copies of yaml library, and they are both installed into py3 package (same for py2 package). Could be removed, but they don't cause problems beyond install message.

^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, back to index

Thread overview: 2+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-05-31 23:54 [ISSUE] python3-pipenv showing compile errors on update rjpower4
2020-06-01 20:26 ` Chocimier

Github messages for voidlinux

Archives are clonable: git clone --mirror http://inbox.vuxu.org/voidlinux-github

Example config snippet for mirrors

Newsgroup available over NNTP:
	nntp://inbox.vuxu.org/vuxu.github.voidlinux


AGPL code for this site: git clone https://public-inbox.org/public-inbox.git